MemberRefEntry (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: MemberRefEntry
Keywords: java.lang.classfile.constantpool.MemberRefEntry interface

# Interface MemberRefEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

All Known Subinterfaces:
  `FieldRefEntryPREVIEW`, `InterfaceMethodRefEntryPREVIEW`, `MethodRefEntryPREVIEW`

public sealed interface MemberRefEntry extends PoolEntryPREVIEW permits FieldRefEntryPREVIEW, InterfaceMethodRefEntryPREVIEW, MethodRefEntryPREVIEW (not exhaustive)
`MemberRefEntry` is a preview API of the Java platform.
Programs can only use `MemberRefEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a member reference constant in the constant pool of a classfile, which includes references to fields, methods, and interface methods.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Utf8EntryPREVIEW`
  `name()`
  Returns the name of the member.
  `NameAndTypeEntryPREVIEW`
  `nameAndType()`
  Returns the name and type of the member.
  `ClassEntryPREVIEW`
  `owner()`
  Returns the class in which this member ref lives.
  `default Utf8EntryPREVIEW`
  `type()`
  Returns the type of the member.

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### owner

    ClassEntryPREVIEW owner()
    Returns the class in which this member ref lives.
    Returns:
      the class in which this member ref lives

  - ### nameAndType

    NameAndTypeEntryPREVIEW nameAndType()
    Returns the name and type of the member.
    Returns:
      the name and type of the member

  - ### name

    default Utf8EntryPREVIEW name()
    Returns the name of the member.
    Returns:
      the name of the member

  - ### type

    default Utf8EntryPREVIEW type()
    Returns the type of the member.
    Returns:
      the type of the member